Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class TagLogicalElementBean

    java.lang.Object
      org.apache.fop.afp.modca.TagLogicalElementBean

    public class TagLogicalElementBean

extends java.lang.Object

The TagLogicalElementBean provides a bean for holding the attributes of a tag logical element as key value pairs.

Constructor Summary
`TagLogicalElementBean(java.lang.String key, java.lang.String value)` Constructor for the TagLogicalElementBean.

Method Summary
`java.lang.String` | `getKey()` Getter for the key attribute.
`java.lang.String` | `getValue()` Getter for the value attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLogicalElementBean

    public TagLogicalElementBean(java.lang.String key,
                                 java.lang.String value)

  Constructor for the TagLogicalElementBean.

  Parameters:
    `key` - the key attribute
    `value` - the value attribute

Method Detail

### getKey

    public java.lang.String getKey()

  Getter for the key attribute.

  Returns:
    the key

### getValue

    public java.lang.String getValue()

  Getter for the value attribute.

  Returns:
    the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.